Subject: Re: bug#18541: 24.3; ruler-mode: margins are reset when doing next-buffer/previous-buffer

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 20 Aug 2021 15:14:22 +0200

martin rudalics <[email-masked]> writes:

>> Or...  we could just leave it alone, because I suspect that whatever we
>> do here, it's going to be pretty confusing.  Anybody got an opinion here?
>
> Add an option that tells whether S-mouse-1/-3 should set up margins in a
> buffer- or window-local way.

Yeah, I guess...  but...  is it really useful to restore the margins if
you display the same buffer in a (very) different frame?  (I'm thinking
gui vs. non-gui in an emacsclient setup.)

I think it would be natural to restore margins if the buffer is a window
in the same frame, but that's rather obscure, too.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no